<?php

require_once 'lib/vod/vod_genres_screen.php';

class SundukVodGenresScreen extends VodGenresScreen {

    const ID = 'vod_genres';

    public static function get_media_url_str($type = 'all') {
        return MediaURL::encode(array('screen_id' => self::ID, 'vod_type' => $type));
    }

    public function get_all_folder_items(MediaURL $media_url, &$plugin_cookies) {
        $this->vod->folder_entered($media_url, $plugin_cookies);
        $items = array();
        $items[] = array(
            PluginRegularFolderItem::media_url => SundukVodListScreen::get_media_url_str('last'),
            PluginRegularFolderItem::caption => 'Последнее',
            PluginRegularFolderItem::view_item_params => array
                (
                ViewItemParams::icon_path => $this->vod->get_session()->get_icon('vod_last.png'),
            )
        );

        $items[] = array(
            PluginRegularFolderItem::media_url => SundukVodListScreen::get_media_url_str('best'),
            PluginRegularFolderItem::caption => 'Лучшее',
            PluginRegularFolderItem::view_item_params => array
                (
                ViewItemParams::icon_path => $this->vod->get_session()->get_icon('vod_best.png'),
            )
        );
        $this->vod->ensure_genres_loaded($plugin_cookies, $media_url->vod_type);
        $genre_ids = $this->vod->get_genre_ids($media_url->vod_type);
        foreach ($genre_ids as $genre_id) {
            $items[] = array
                (
                PluginRegularFolderItem::media_url        => $this->vod->get_genre_media_url_str($genre_id, $media_url->vod_type),
                PluginRegularFolderItem::caption          => $this->vod->get_genre_caption($genre_id, $media_url->vod_type),
                PluginRegularFolderItem::view_item_params => array
                    (
                    ViewItemParams::icon_path => $this->vod->get_genre_icon_url('vod_' . $genre_id . '.png'),
                )
            );
        }
        return $items;
    }

    public function handle_user_input(&$user_input, &$plugin_cookies) {
        hd_print('Vod genres: handle_user_input:');
        foreach ($user_input as $key => $value)
            hd_print("  $key => $value");

        if ($user_input->control_id == 'select_genre') {
            if (!isset($user_input->selected_media_url))
                return null;

            return ActionFactory::open_folder($user_input->selected_media_url);
        }

        return null;
    }

    public function get_archive(MediaURL $media_url) {

        return $this->vod->get_archive($media_url);
    }

}
