<?php

require_once 'lib/vod/vod_search_screen.php';

class SundukVodSearchScreen extends VodSearchScreen {

    private function do_get_control_defs(&$plugin_cookies) {
        $defs = array();

        $this->vod->ensure_genres_loaded($plugin_cookies);
        $this->vod->ensure_types_loaded($plugin_cookies);
        $this->vod->ensure_years_loaded($plugin_cookies);
        $this->vod->ensure_imdbs_loaded($plugin_cookies);
        $this->vod->ensure_kinopoisks_loaded($plugin_cookies);
        
        $this->add_text_field($defs, 'pattern', 'Название:', isset($plugin_cookies->vod_search_pattern)
                            ? $plugin_cookies->vod_search_pattern : '', false, false, false, false, 100);

        $this->add_combobox($defs, 'type', 'Тип:', isset($plugin_cookies->vod_search_type)
                            ? $plugin_cookies->vod_search_type : '', array('' => 'not selected') + $this->vod->get_types(), 100);

        $this->add_combobox($defs, 'genre', 'Жанр:', isset($plugin_cookies->vod_search_genre)
                            ? $plugin_cookies->vod_search_genre : '', array('' => 'not selected') + $this->vod->get_genres(), 100);

        $this->add_combobox($defs, 'year', 'Год:', isset($plugin_cookies->vod_search_year)
                            ? $plugin_cookies->vod_search_year : '', array('' => 'not selected') + $this->vod->get_years(), 100);

        $this->add_combobox($defs, 'imdb', 'IMDB:', isset($plugin_cookies->vod_search_imdb)
                            ? $plugin_cookies->vod_search_imdb : '', array('' => 'not selected') + $this->vod->get_imdbs(), 100);

        $this->add_combobox($defs, 'kinopoisk', 'Kinopoisk:', isset($plugin_cookies->vod_search_kinopoisk)
                            ? $plugin_cookies->vod_search_kinopoisk : '', array('' => 'not selected') + $this->vod->get_kinopoisks(), 100);

        $this->add_button($defs, 'submit', null, 'Поиск', 100);
        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies) {
        $this->vod->folder_entered($media_url, $plugin_cookies);

        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies) {
        hd_print('Vod search: handle_user_input:');
        foreach ($user_input as $key => $value)
            hd_print("  $key => $value");

        $fields = array('pattern', 'type', 'genre', 'year', 'imdb', 'kinopoisk');

        foreach ($fields as $field) {
            $plugin_cookies->{'vod_search_' . $field} = $user_input->{$field};
        }

        if ($user_input->control_id == 'submit') {
            $searchParams = array();
            foreach ($fields as $field) {
                if (!empty($plugin_cookies->{'vod_search_' . $field})) {
                    $searchParams[$field] = $plugin_cookies->{'vod_search_' . $field};
                }
            }
            $defs = $this->do_get_control_defs(&$plugin_cookies);
            return ActionFactory::reset_controls($defs, ActionFactory::open_folder(
                                    SundukVodListScreen::get_media_url_str('last', $searchParams)
                                    , 'Found video'));
        }
        return null;
    }

}

///////////////////////////////////////////////////////////////////////////
?>
